<?php

/**
 * Representa el la estructura de las metas
 * almacenadas en la base de datos
 */
require 'Database.php';

class Pedido
{
    function __construct()
    {
    }

    /**
     * Retorna en la fila especificada de la tabla 'meta'
     *
     * @param $idMeta Identificador del registro
     * @return array Datos del registro
     */
    public static function getAll()
    {
        $consulta = "SELECT * FROM pedidos";
        try {
            // Preparar sentencia
            $comando = Database::getInstance()->getDb()->prepare($consulta);
            // Ejecutar sentencia preparada
            $comando->execute();

            return $comando->fetchAll(PDO::FETCH_ASSOC);

        } catch (PDOException $e) {
            return false;
        }
    }

    /**
     * Obtiene los campos de una meta con un identificador
     * determinado
     *
     * @param $idMeta Identificador de la meta //
     * @param NroPedido, 
     * @param CodigoCliente, 
     * @param NroDispositivoMovil
     * @return mixed
     */
    public static function getById($NroDispositivoMovil, $fecha, $NroPedido )
    {
        // Consulta de la meta        
                             
        try {
            // Preparar sentencia
            $consulta = "CALL get_pedido_verificar('".$NroDispositivoMovil."','".$fecha."','".implode(",",json_decode($NroPedido))."');";

            $comando = Database::getInstance()->getDb()->prepare($consulta);
            // Ejecutar sentencia preparada
            $comando->execute();
            // Capturar primera fila del resultado

            $pedidos_array = array();

       while($row = $comando->fetch(PDO::FETCH_ASSOC))
       {
            array_push($pedidos_array,$row);
       }       

       return $pedidos_array;

       //     $row = $comando->fetch(PDO::FETCH_ASSOC);
         //   return $row;

        } catch (PDOException $e) {
            // Aquí puedes clasificar el error dependiendo de la excepción
            // para presentarlo en la respuesta Json
            return "false";
        }
    }

       
}

?>